# BiaPy version: 3.6.2

SYSTEM:
    NUM_CPUS: -1

PROBLEM:
    TYPE: SEMANTIC_SEG
    NDIM: 2D
  
DATA: 
    PATCH_SIZE: (256, 256, 1)
    TRAIN:                                                                                                              
        PATH: /path/to/data
        GT_PATH: /path/to/data
        IN_MEMORY: True
    VAL:
        SPLIT_TRAIN: 0.1
    TEST:                                                                                                               
        PATH: /path/to/data
        GT_PATH: /path/to/data
        IN_MEMORY: True
        LOAD_GT: True
        PADDING: (32,32)

AUGMENTOR:
    ENABLE: True
    AUG_SAMPLES: False
    RANDOM_ROT: True
    VFLIP: True
    HFLIP: True

MODEL:
    ARCHITECTURE: unet
    FEATURE_MAPS: [16, 32, 64, 128, 256]
    LOAD_CHECKPOINT: False
    SOURCE: "bmz"
    BMZ:
      SOURCE_MODEL_ID: 'sensible-cat'

TRAIN:
    ENABLE: False
    OPTIMIZER: ADAMW
    LR: 1.E-3
    BATCH_SIZE: 6
    EPOCHS: 20
    PATIENCE: 20
    LR_SCHEDULER:
        NAME: 'onecycle'    # use one-cycle learning rate scheduler
  
TEST:
    ENABLE: True
    AUGMENTATION: False
    FULL_IMG: False
